using DinkToPdf;

namespace CONTROLLER.Utilities
{
    public class PdfConverterSingleton
    {
        private static readonly Lazy<SynchronizedConverter> _instance = new Lazy<SynchronizedConverter>(() =>
        {
            return new SynchronizedConverter(new PdfTools());
        });

        public static SynchronizedConverter Instance => _instance.Value;
    }
}